#############################################################################
#----------------------------- Workspace Outputs ---------------------------#
#############################################################################

{% if i3.workspaces != 'default' %}
{% for ws in i3.workspaces %}
workspace {{ ws }}
{% endfor %}
{% endif %}

#############################################################################
#----------------------------- Workspace Assignments -----------------------#
#############################################################################

assign [class="^obs"] $ws9

#assign [class="Bipscript\ IDE"] $ws1
assign [class="(?i)Sonic\ Pi"] $ws2
assign [class="(?i)Zita-mu1"] $ws10
assign [class="Carla2-Rack"] $ws10
assign [class="Jack_mixer"] $ws10

assign [class="Jalv.gtk" title="Fast Lookahead limiter"] $ws10
assign [class="Jalv.select"] $ws10
assign [class="Mixxx"] $ws6
assign [class="Non-Mixer"] $ws10

assign [class="REAPER" title="^Mixer"] $ws7

assign [class="^FMIT$"] $ws10

assign [class="^Jnoisemeter$"] $ws10

assign [class="^Patchage"] $ws10


assign [class="^RaySession$"] $ws10

assign [class="^Timemachine$"] $ws10
assign [class="^calfjackhost"] $ws10

assign [title="(?i)EBU R128 Meter"] $ws10
assign [title="(?i)x42-eq - Parametric Equalizer Stereo"] $ws10
assign [title="VU\ Meter\ \(Stereo\)"] $ws10

assign [title="^EBU R128 Meter$"] $ws10
assign [title="^jmeters"] $ws10

assign [title="^x42-dpl"] $ws10
assign [title="jkmeter"] $ws10
assign [title="zita-rev1"] $ws10


# assign [class="Guitarix"] $ws5
# assign [class="Non-Sequencer"] $w5
# assign [class="^Hydrogen"] $ws5
# assign [class="^Seq192"] $ws5
# assign [class="Jalv.gtk" title="Helm"] $ws6
# assign [class="qmidiarp"] $ws6
# assign [class="Qsampler"] $ws1

{% if i3.assignments != 'default' %}
{% for app in i3.assignments %}
assign {{ app }}
{% endfor %}
{% else %}

{% endif %}
#############################################################################
#----------------------------- Window Assignments -----------------------#
#############################################################################
for_window [class="Gpick"] border normal, floating enable

for_window [class="^FMIT$"] floating enable, resize set 660 537, move position center, focus

for_window [class="^Gpick"] floating enable, resize set 958 687, move position center, focus

for_window [class="^Pavucontrol"] floating enable, resize set 918 570, move position center, focus
for_window [class="^RaySession$" title="(?i)Add Application"] floating enable, resize set 1028 690, move position center
for_window [class="^RaySession$" title="(?i)Previous session"] floating enable, resize set 571 273, move position center

for_window [class="^Timemachine"] floating enable, move position center, focus

for_window [class="^mpv"] focus

for_window [class="^qutebrowser" title="(?i)Brave Search"] border normal, floating enable, resize set 1048 708

for_window [class="antimicrox"] floating disable

for_window [class="waitonlogin"] move to workspace 5, focus, fullscreen

for_window [title="(?)feh"] floating enable, move position center, focus

for_window [title="Open Folder"] floating enable, resize set 1044 615, move position center, focus

for_window [title="Tilda 0 Config"] floating enable, border normal, resize set 1022 655, move position center, focus

for_window [title="^Event\ Tester"] floating enable, move position center, focus

for_window [title="^Open File"] floating enable, resize set 848 551, move position center, focus

for_window [title="^Sox Stats"] floating enable, resize set 640 480

for_window [title="^glow"] focus

for_window [title="htop"] focus

for_window [window_role="GtkFileChooserDialog"] floating enable, border normal, resize set 813 766, move position center, focus

for_window [window_type="dialog"] floating enable, border normal, resize set 739 476, move position center, focus

######################################
#       ---{ custom utils }---
######################################

for_window [class="changelog"] move to workspace 1, focus

for_window [class="notepad" title="scriber.rb"], floating enable, resize set 1364 142, move position 1116px 2322, focus

for_window [class="notepad"] floating enable, resize set 998 1035, move output DVI-D-0, move to position center, focus

for_window [class="noteinfo"] floating enable, resize set 586 687, move position center, focus

for_window [class="timer"] floating enable, move to workspace 5, resize set 439 175, move position 3538px 2338, sticky enable, focus

for_window [class="checklog"] floating enable, move to workspace 5, resize set 2449 1353, move position center, focus

for_window [class="govna"] floating enable, resize set 678 491, move to position center, focus

for_window [class="brightness"] floating enable, resize set 1007 631, move to position center, focus

for_window [class="ghissue"] floating enable, resize set 626 503, move to position center, focus

for_window [class="weather"] floating enable, resize set 834 627, move output DVI-D-0, move to position center, focus

######################################
#       ---{ scratchpad }---
######################################
for_window [class="(?i)terminator"] floating enable, border normal

for_window [title="(?i)Artha"] floating enable, move position center, resize set 837 755, move to scratchpad

for_window [class="(?i)jack-keyboard"] border normal, floating enable, move to scratchpad
for_window [title="(?i)Mamba"] floating enable, move position center, resize set 640 480

for_window [class="^VMPK"] border normal, floating enable

for_window [class="Zim" title="^Insert"] move position center, focus
for_window [class="Zim" title="^Tasks"] floating enable, resize set 1277 733, move position center, focus

######################################
#       ---{ reaper }---
######################################
for_window [class="^Zenity" title="reaper projects"] move to position center, focus
for_window [class="REAPER" title="^Mixer"] floating disable, focus

# for_window [class="REAPER" title="^Preferences"] floating enable, border normal, resize set 803 505, move output primary, focus
# for_window [class="REAPER" title="^Actions"] floating enable, border normal, resize set 701 405, move output primary, focus
# for_window [class="REAPER" title="^Docker"] floating disable, move to workspace 4, focus

for_window [class="REAPER" title="(?i)JS:"] border normal, floating enable, move to output center, focus
for_window [class="REAPER" title="(?i)CLAP:"] border normal, floating enable, move to position pointer, focus
for_window [class="REAPER" title="(?i)VST:"] border normal, floating enable, move position center, focus
for_window [class="REAPER" title="(?i)VST3:"] border normal, floating enable, move position center, focus
for_window [class="REAPER" title="(?i)LV2:"] border normal, floating enable, move position center, focus
for_window [class="REAPER" title="(?i)Add FX to"] border normal, floating enable, move position center, focus
for_window [class="REAPER" title="(?i)FX"] border normal, floating enable, move position center, focus

for_window [title="^Docker"] floating disable
for_window [title="^Toolbar"] floating disable
for_window [title="^MIDI take:"] floating disable

######################################
#       ---{ non-mixer }---
######################################
for_window [class="Non-Mixer" title="^Mixer"] border normal

for_window [class="Non-Mixer" title="(?i)Mixer - bode - Plugin : Bode frequency shifter"] floating enable, move position 1093px 1202, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Comb Splitter"] floating enable, move position 1093px 973, focus
for_window [class="Non-Mixer" title="(?i)Plugin : C* Saturate"] floating enable, move position 1093px 1435, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Fractionally Addressed Delay Line"] floating enable, move position 2656px 984, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Delayorama"] floating enable, move position 2388px 1110, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Rate Shifter"] floating enable, move position 2297px 995, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Single band parametric"] floating enable, move position 2386px 1411, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Calf Ring Modulator"] floating enable, move position 1089px 1727, focus
for_window [class="Non-Mixer" title="(?i)Plugin : TAP Stereo Echo"] floating enable, move position 1887px 1115, focus
for_window [class="Non-Mixer" title="(?i)Plugin : Tape Delay Simulation"] floating enable, move position 2342px 1734, focus

######################################
#       ---{ calf }---
######################################
for_window [class="^calfjackhost"] floating disable, move up
for_window [class="^Calfjackhost" title="^Calf \- Sidechain Compressor"] floating enable, move position center, focus
for_window [class="^Calfjackhost" title="^Calf \- Multiband Compressor"] floating enable, move position center, focus

######################################
#       ---{ hydrogen }---
######################################
for_window [class="^Hydrogen"] layout toggle split h, move up
for_window [class="^Hydrogen" title="^Mixer"] move down, resize shrink height 400px

######################################
#       ---{ meters }---
######################################

for_window [class="(?i)zita-mu1"] border normal, floating enable, move position center
for_window [title="^zita-rev1"] border normal, floating enable

for_window [title="(?i)Luftikus"] floating enable

### x42
for_window [title="(?i)EBU R128 Meter"] border normal
for_window [title="(?i)x42-dpl"] floating enable
for_window [title="(?i)x42-comp"] floating enable
for_window [title="(?i)x42-eq"] floating enable, resize set 1242 722, move position center, focus
for_window [title="(?i)Phase/Frequency Wheel"] floating enable, border normal
for_window [title="(?i)Stereo/Frequency Scope"] floating enable, border normal
for_window [title="(?i)Phaserotate"] floating enable, border normal
for_window [title="(?i)Goniometer"] floating enable, border normal

######################################
#       ---{ other }---
######################################
for_window [class="Jalv.gtk" title="Helm"] border normal, floating enable
for_window [class="Jalv.gtk" title="CS10QS-SC"] border normal

for_window [title="(?i)ambix_"] floating enable, border normal
